
"use strict";

require('es6-promise');
// require('babel-polyfill');

const RectDOM = require('react-dom');
const React = require('react');
const routes = require('./routes/routes');
const reactRouter = require('react-router');
// const reactRouterRedux = require('react-router-redux-ie8');
const Router = reactRouter.Router;
const browserHistory = reactRouter.browserHistory;
const reactRedux = require('react-redux');
const Provider = reactRedux.Provider;

const Store = require('./store').configureStore;

const ReduxDevTools = require('./store').ReduxDevTools;

const store = Store();
const Main =require('../jsx/main.jsx');
RectDOM.render(
	<Provider store = { store } >
		<div style={{ height:"100%" }}>
			<Router routes = { routes } history = { browserHistory }/>
		</div>
	</Provider>,document.getElementById('main')
);


